%global momorel 1
%global date 20090508

Summary: The Chewing engine for IBus input platform
Name: ibus-chewing
Version: 1.0.9
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2+
URL: http://code.google.com/p/ibus/
Group: System Environment/Libraries
Source0: http://ibus.googlecode.com/files/%{name}-%{version}.%{date}-Source.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: GConf2
Requires: ibus
BuildRequires: GConf2-devel
BuildRequires: cmake
BuildRequires: gettext-devel
BuildRequires: gob2
BuildRequires: gtk2-devel
BuildRequires: ibus-devel
BuildRequires: libX11-devel
BuildRequires: libXtst-devel
BuildRequires: libchewing-devel >= 0.3.2
BuildRequires: pkgconfig

%description
The Chewing engine for IBus platform. It provides Chinese input method from
libchewing.

%prep
%setup -q -n %{name}-%{version}.%{date}-Source

%build
%cmake
make %{?_smp_mflags} VERBOSE=1 C_DEFINES="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README RELEASE-NOTES.txt
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_libexecdir}/ibus-engine-chewing
%{_datadir}/ibus/component/chewing.xml
%{_datadir}/ibus-chewing
%{_datadir}/locale/*/LC_MESSAGES/ibus-chewing.mo

%changelog
* Sat May  9 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.9-0.20090508.1m)
- version 1.0.9

* Tue Aug 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.20080819.1m)
- initial package for Momonga Linux
